Package be.fgov.ehealth.etee.commons.core.v2

# Class EteeErrorType

java.lang.Object
be.fgov.ehealth.etee.commons.core.v2.EteeErrorType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class EteeErrorType extends Object implements Serializable
The ETEE error type describes an error that occurred during the execution of a web service operation. The error consits of "code" that uniquely identifies the type of error together with a more descriptive "message" that further explains the problem in English. The web service may return one ore more parameters as well, these are key-value pairs that may give additional details about the error that occurred.

Java class for EteeErrorType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EteeErrorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Message" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Parameters" type="{urn:be:fgov:ehealth:etee:commons:core:v2}EteeErrorParameterType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EteeErrorType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  Gets the value of the code property.
  `String`
  `getMessage()`
  Gets the value of the message property.
  `List<EteeErrorParameterType>`
  `getParameters()`
  Gets the value of the parameters property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setMessage(String value)`
  Sets the value of the message property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EteeErrorType

    public EteeErrorType()

- ## Method Details

  - ### getCode

    public String getCode()
    Gets the value of the code property.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMessage

    public String getMessage()
    Gets the value of the message property.
    Returns:
      possible object is `String`

  - ### setMessage

    public void setMessage(String value)
    Sets the value of the message property.
    Parameters:
      `value` - allowed object is `String`

  - ### getParameters

    public List<EteeErrorParameterType> getParameters()
    Gets the value of the parameters property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameters property.

    For example, to add a new item, do as follows:

         getParameters().add(newItem);

    Objects of the following type(s) are allowed in the list `EteeErrorParameterType`

    Returns:
      The value of the parameters property.